For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
            • GETList Quotes
            • POSTCreate Quote
            • GETGet Quote Details
            • PUTSend Quote Message
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • GETGet Quote Configs
            • POSTSend Quote Email
            • GETGet Quote Store Info
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontRequest for Quote

Generate Cart and Checkout URL for Quote

POST
https://api-b2b.bigcommerce.com/api/v2/rfq/:quote_id/checkout
POST
/api/v2/rfq/:quote_id/checkout
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/rfq/123456/checkout \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "checkoutUrl": "https://mybcstore.com/cart.php?action=loadInCheckout&id=1234-2ece-43e9-89ea",
6 "cartId": "1234-2ece-43e9-89ea",
7 "cartUrl": "https://mybcstore.com/cart.php?action=load&id=1234-2ece-43e9-89ea"
8 }
9}
Generates a cart URL and a checkout URL for a specific quote based on the provided `quote_id`. Cart and checkout URLs can only be generated for quotes that are in the Open status. This endpoint will generate a checkout link for a quote even if it is configured to hide the checkout button on the Buyer Portal. You can use this to create an alternate checkout flow for your sales quotes. Equivalent Storefront GraphQL API Mutation: `quoteCheckout`.
Was this page helpful?
Previous

Send Quote Message

Next

Assign Quote to BigCommerce Order

Built with

Generates a cart URL and a checkout URL for a specific quote based on the provided quote_id. Cart and checkout URLs can only be generated for quotes that are in the Open status.

This endpoint will generate a checkout link for a quote even if it is configured to hide the checkout button on the Buyer Portal. You can use this to create an alternate checkout flow for your sales quotes.

Equivalent Storefront GraphQL API Mutation: quoteCheckout.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

quote_idstringRequired
The internal numeric ID of the sales quote.

Request

This endpoint expects an object.
storeHashstringOptional
The unique store hash for the BigCommerce store.

Response

OK
codeintegerDefaults to 200
messagestringDefaults to SUCCESS
dataobject

Errors

404
Not Found Error